%define major      0
%define api        0.0
%define libname    %mklibname %{name} %{major}
%define girname    %mklibname %{name}-gir %{api}
%define libnamedev %mklibname %{name} -d

Summary:       OpenType text shaping engine
Name:          harfbuzz
Version:       8.4.0
Release:       %mkrel 1
License:       Old MIT
Group:         System/Libraries
URL:           https://harfbuzz.github.io/
Source:        https://github.com/harfbuzz/harfbuzz/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires: lib64chafa-devel
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(cairo-ft)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(graphite2)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: gtk-doc
BuildRequires: meson

%description
HarfBuzz is an OpenType text shaping engine.
There are two HarfBuzz code trees in existence today.

%package -n %{libname}
Summary:       Libraries for the %{name} package
Group:         System/Libraries

%description -n %{libname}
Libraries for %{name}.

%package -n %{libnamedev}
Summary:       Headers and development libraries from %{name}
Group:         Development/Libraries
Requires:      %{libname} = %{version}-%{release}
Provides:      lib%{name}-devel = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
%{name} development headers and libraries.

%prep
%setup -q
%autopatch -p1

%build
%meson -Dgobject=enabled -Dgraphite=enabled -Dintrospection=enabled
%meson_build

%install
%meson_install
rm -rf %buildroot/usr/share/gtk-doc

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libharfbuzz-cairo.so.%{major}*
%{_libdir}/libharfbuzz-gobject.so.%{major}*
%{_libdir}/libharfbuzz-icu.so.%{major}*
%{_libdir}/libharfbuzz-subset.so.%{major}*
%{_libdir}/libharfbuzz.so.%{major}*
%{_libdir}/girepository-1.0/HarfBuzz-%{api}.typelib

%files -n %{libnamedev}
%{_libdir}/pkgconfig/harfbuzz-cairo.pc
%{_libdir}/pkgconfig/harfbuzz-gobject.pc
%{_libdir}/pkgconfig/harfbuzz-icu.pc
%{_libdir}/pkgconfig/harfbuzz-subset.pc
%{_libdir}/pkgconfig/harfbuzz.pc
%{_libdir}/libharfbuzz-cairo.so
%{_libdir}/libharfbuzz-gobject.so
%{_libdir}/libharfbuzz-icu.so
%{_libdir}/libharfbuzz-subset.so
%{_libdir}/libharfbuzz.so
%{_libdir}/cmake/harfbuzz/
%{_includedir}/harfbuzz/
%{_datadir}/gir-1.0/HarfBuzz-%{api}.gir


%changelog
* Fri Mar 29 2024 tex - 8.4.0-1pclos2024
- new version

* Sun Mar 17 2024 tex - 8.3.1-1pclos2024
- new version

* Sat Nov 11 2023 tex - 8.3.0-1pclos2023
- new version

* Wed Oct 18 2023 tex - 8.2.2-1pclos2023
- new version

* Wed Sep 27 2023 tex - 8.2.1-2pclos2023
- rebuild against updates

* Mon Sep 18 2023 tex - 8.2.1-1pclos2023
- new version

* Sat Sep 09 2023 tex - 8.2.0-1pclos2023
- new version

* Wed Aug 02 2023 tex - 8.1.1-1pclos2023
- new version

* Tue Aug 01 2023 tex - 8.1.0-1pclos2023
- new version

* Wed Jul 19 2023 tex - 8.0.1-1pclos2023
- new version

* Wed May 10 2023 tex - 7.3.0-1pclos2023
- new version

* Sat Apr 29 2023 tex - 7.2.0-1pclos2023
- new version

* Mon Feb 20 2023 tex - 7.0.1-1pclos2023
- new version

* Fri Oct 21 2022 tex - 5.3.1-1pclos2022
- new version

* Sun Oct 09 2022 tex - 5.3.0-1pclos2022
- new version

* Fri Sep 23 2022 tex - 5.2.0-2pclos2022
- rebuild against updates

